<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('match_rounds', function (Blueprint $table) {
            if (! Schema::hasColumn('match_rounds', 'start_time_seconds')) {
                $table->integer('start_time_seconds')->nullable()->after('name');
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('match_rounds', function (Blueprint $table) {
            if (Schema::hasColumn('match_rounds', 'start_time_seconds')) {
                $table->dropColumn('start_time_seconds');
            }
        });
    }
};
